Post by olahmyde » Sat Jul 21, 2018 11:24 am

I recently installed a theme, and i was busy uninstalling it because i did not want it and i deleted something from the admin panel. Mind you i am running on a local server. After deleting, my admin panel stopped working, it shows this error always


Warning: require_once(C:/xampp/htdocs/Pricehunter/admin/view/template/extension/soconfig/class/soconfig.php): failed to open stream: No such file or directory in C:\xampp\storage\modification\system\engine\router.php on line 56
Fatal error: require_once(): Failed opening required 'C:/xampp/htdocs/Pricehunter/admin/view/template/extension/soconfig/class/soconfig.php' (include_path='C:\xampp\php\PEAR') in C:\xampp\storage\modification\system\engine\router.php on line 56


Please help me, i am about to lose my mind. Been up since 9pm, this is 4.24am, please help me. I still have my products and db intact, please help

New member

Posts

Joined
Tue Apr 10, 2018 1:24 am

Post by IP_CAM » Sun Jul 22, 2018 12:57 am

Well, you'll have TWO options:
1. URGEND ASSISTANCE will usually only be given to commercial Requests.
2. You might depend on free assistance, but then, URGENT won't be part of it.
That's, how it usually works around here, for free at least. OC is a commercial
Project, and it requires 'some' basic Knowledge about Servers and Software,
or then, one has to depend on Professionals. One just has to be aware of this,
like in any other matter of real life too.
Good Luck! ;)
Ernie
PS: And next time, better mention, what you use on Versions, Themes, and Mods,
if you expect anything else, but only a link to the HOW-TO FIRST Sections.

For Sale: Top URL's, including OpenCart V-Pro installed, like seen here:
http://www.bigmax.ch - http://www.ipcam.li - http://www.opencart.li
For Information + URL's offered, please contact me at: jti@jacob.ch
I am NOT available for Custom Support in existing OC Installations!
My Github Repositories: https://github.com/IP-CAM
Image


User avatar
Guru Member

Posts

Joined
Tue Mar 04, 2014 1:37 am
Location - Switzerland

Post by olahmyde » Sun Jul 22, 2018 2:32 am

Hello, thank you, i tried deleting the mod manually, still same error. I have a backup of my sql and also my data files (product images and the likes, still intact); can i re-install OC? Maybe that can help? I do not mind re-installing, as long as my products do not go, just the themes and previous extensions, which i can always get again.

New member

Posts

Joined
Tue Apr 10, 2018 1:24 am

Post by IP_CAM » Sun Jul 22, 2018 3:10 am

Well, just use an FTP Client, or the Server Admin Console, to access OpenCart, and then,
remove the CACHED Content of your system/storage/modification/... Directory,
plus, if exists, the Content of the vqmod/vqcache/... Directory,
as well as the Content of the system/storage/cache/... Directory,
then, try again. ;)
All this CACHED CONTENT will be created new, and so contains VALID Code again.
Ernie

For Sale: Top URL's, including OpenCart V-Pro installed, like seen here:
http://www.bigmax.ch - http://www.ipcam.li - http://www.opencart.li
For Information + URL's offered, please contact me at: jti@jacob.ch
I am NOT available for Custom Support in existing OC Installations!
My Github Repositories: https://github.com/IP-CAM
Image


User avatar
Guru Member

Posts

Joined
Tue Mar 04, 2014 1:37 am
Location - Switzerland

Post by olahmyde » Sun Jul 22, 2018 8:48 am

Hello i did all that but still to no avail. I am still up and about on this. I am using OpenCart 3.0.2.0 btw. I have created a new OpenCart site, but now i want everything on the previous website on the new one, i have a backup of the sql from OpenCart Admin and also phpMyAdmin, and also have a copy of all folders of the htdocs (since i am using localhost), elsewhere. How can i do it? Been trying to fix this since, but it keeps bringing up error. I first did an import of my database on phpMyAdmin, now want to restore on Opencart also but its giving errors, what can i do? I fear the backup i have was with the previous theme, so i have to download the theme again and every previous extensions? Also, if there is a way i can manually do this, from my folders itself, i would really appreciate this Thank you so much

New member

Posts

Joined
Tue Apr 10, 2018 1:24 am

Post by soundzgood-nz » Sun Jul 22, 2018 1:51 pm

Start again from scratch ... if it's gonna take longer to fix than to install from the beginning, there's your answer.
(Also wouldn't recommend doing local installs ... cheap linux hosting is everywhere, easier to use and maintain and prone to fewer issues IMO.)

User avatar
Active Member

Posts

Joined
Sat Oct 25, 2014 5:15 pm
Location - New Zealand

Post by olahmyde » Sun Jul 22, 2018 4:49 pm

Yes but my images are not there, neither is my backup working, it’s bringing up error. Unexpected error < JSON at point 0, something about missing column “modified” in “field-list”

New member

Posts

Joined
Tue Apr 10, 2018 1:24 am

Post by xxvirusxx » Sun Jul 22, 2018 5:02 pm

Send my on PM ID and password for Teamviewer and I will try to help.

Active Member

Posts

Joined
Tue Jul 17, 2012 10:35 pm

Post by olahmyde » Sun Jul 22, 2018 6:20 pm

xxvirusxx wrote:
Sun Jul 22, 2018 5:02 pm
Send my on PM ID and password for Teamviewer and I will try to help.
I am on a localhost

New member

Posts

Joined
Tue Apr 10, 2018 1:24 am

Post by xxvirusxx » Sun Jul 22, 2018 6:45 pm

lol...

That PC has internet connection....but nevermind.

Active Member

Posts

Joined
Tue Jul 17, 2012 10:35 pm

Post by straightlight » Sun Jul 22, 2018 8:32 pm

Warning: require_once(C:/xampp/htdocs/Pricehunter/admin/view/template/extension/soconfig/class/soconfig.php):
Caused by an installed extension. Contact the extension developer to resolved this issue.

The most generated errors being found on Opencart forum originates from contributed programming. The increased counters are caused by posted redundancies of the same solutions that were already provided prior.

F. Rules:

- viewtopic.php?f=176&t=200480
- viewtopic.php?f=176&t=200804


Regards,
Straightlight


Legendary Member

Posts

Joined
Mon Nov 14, 2011 11:38 pm
Location - Canada, ON

Post by soundzgood-nz » Mon Jul 23, 2018 1:12 pm

straightlight wrote:
Sun Jul 22, 2018 8:32 pm
Warning: require_once(C:/xampp/htdocs/Pricehunter/admin/view/template/extension/soconfig/class/soconfig.php):
Caused by an installed extension. Contact the extension developer to resolved this issue.
you might have missed the bit where OP said "... and deleted something from the admin panel" ... fixing an extension issue would be like reattaching the front door handle after the ceiling has collapsed. it's borked, and as a self-proclaimed 'beginner' hacking through an xamp installation, and based on some of his/her replies here, OP is well out of his/her depth.

OP - I'd recommend starting again, on linux.

User avatar
Active Member

Posts

Joined
Sat Oct 25, 2014 5:15 pm
Location - New Zealand

Post by olahmyde » Mon Jul 23, 2018 6:57 pm

Fixed it, and now i have it all.... WHATEVER YOU DO, DO NOT DOWNLOAD SO-LADAZ THEME, IT RUINS THINGS

New member

Posts

Joined
Tue Apr 10, 2018 1:24 am

Post by straightlight » Mon Jul 23, 2018 7:03 pm

soundzgood-nz wrote:
Mon Jul 23, 2018 1:12 pm
straightlight wrote:
Sun Jul 22, 2018 8:32 pm
Warning: require_once(C:/xampp/htdocs/Pricehunter/admin/view/template/extension/soconfig/class/soconfig.php):
Caused by an installed extension. Contact the extension developer to resolved this issue.
you might have missed the bit where OP said "... and deleted something from the admin panel" ... fixing an extension issue would be like reattaching the front door handle after the ceiling has collapsed. it's borked, and as a self-proclaimed 'beginner' hacking through an xamp installation, and based on some of his/her replies here, OP is well out of his/her depth.

OP - I'd recommend starting again, on linux.
There is nowhere to be said by the OP addressing something that was deleted from the admin panel. What the OP did indicated however is that since the extension theme downloaded from themeforest.net, which is not included in Opencart with the default installation from Opencart.com, would have caused the admin-end inaccessible.

With that being said, despite the unknown reason of this phylosophy above from one-minded perspective point-of-view, the addressed issue and the error message posted by the OP is about an installed extension and the solution was to contact the extension developer since this is not an Opencart core related issue. In addition, as also suggested by others on the topic, an alternative would be to create a new service request in the Commercial Support section of the forum. Restoring backups, in this case, would also be ideal since the admin area is inaccessible. Always starting from scratch-solution is normally provided as a last resort event. So far, I don't see any last resorts.

The most generated errors being found on Opencart forum originates from contributed programming. The increased counters are caused by posted redundancies of the same solutions that were already provided prior.

F. Rules:

- viewtopic.php?f=176&t=200480
- viewtopic.php?f=176&t=200804


Regards,
Straightlight


Legendary Member

Posts

Joined
Mon Nov 14, 2011 11:38 pm
Location - Canada, ON

Post by straightlight » Mon Jul 23, 2018 7:04 pm

olahmyde wrote:
Mon Jul 23, 2018 6:57 pm
Fixed it, and now i have it all.... WHATEVER YOU DO, DO NOT DOWNLOAD SO-LADAZ THEME, IT RUINS THINGS
Thanks for the feedback. However, always check the reviews, comments and OC compatibility before downloading an extension. ;)

The most generated errors being found on Opencart forum originates from contributed programming. The increased counters are caused by posted redundancies of the same solutions that were already provided prior.

F. Rules:

- viewtopic.php?f=176&t=200480
- viewtopic.php?f=176&t=200804


Regards,
Straightlight


Legendary Member

Posts

Joined
Mon Nov 14, 2011 11:38 pm
Location - Canada, ON

Post by olahmyde » Mon Jul 23, 2018 7:51 pm

straightlight wrote:
Mon Jul 23, 2018 7:04 pm
olahmyde wrote:
Mon Jul 23, 2018 6:57 pm
Fixed it, and now i have it all.... WHATEVER YOU DO, DO NOT DOWNLOAD SO-LADAZ THEME, IT RUINS THINGS
Thanks for the feedback. However, always check the reviews, comments and OC compatibility before downloading an extension. ;)
Yes i would, please can i get a good theme for my OpenCart 3.0.2.0, any free one?

New member

Posts

Joined
Tue Apr 10, 2018 1:24 am

Post by straightlight » Mon Jul 23, 2018 8:16 pm

On the Marketplace, select the theme category on the dropdown list of the left-end side of the form. Then, on the right-end side, select the free filters. You should see countless results showing afterwards. However, again, ensure to read the reviews and comments before downloading any extensions and even testing the theme on a test folder of your live server or in a test server environment if you have to. While a test server may not be the best approach, it will at least be a better approach than having to restore backups from your server to restore your live store.

The most generated errors being found on Opencart forum originates from contributed programming. The increased counters are caused by posted redundancies of the same solutions that were already provided prior.

F. Rules:

- viewtopic.php?f=176&t=200480
- viewtopic.php?f=176&t=200804


Regards,
Straightlight


Legendary Member

Posts

Joined
Mon Nov 14, 2011 11:38 pm
Location - Canada, ON

Post by funnykid » Tue Jul 24, 2018 2:40 pm

Your case looks complex, cause you don't know which file was deleted. Usually everyone does without any knowledge php or website installation. You need to delete and install everything once again. Other way is to compare two things and find out which is missing.

60% Off A2Hosting Coupons | 40% Off Wp Engine Coupons


Newbie

Posts

Joined
Sun Aug 13, 2017 7:37 pm
Who is online

Users browsing this forum: webnurse and 8 guests